Cannoli_2.12: CLI 1.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    cannoli
- About
- BcftoolsCall
- BcftoolsCallArgs
- BcftoolsMpileup
- BcftoolsMpileupArgs
- BcftoolsNorm
- BcftoolsNormArgs
- BedtoolsIntersect
- BedtoolsIntersectArgs
- Blastn
- BlastnArgs
- Bowtie
- Bowtie2
- Bowtie2Args
- BowtieArgs
- BwaMem
- BwaMem2
- BwaMem2Args
- BwaMemArgs
- Cannoli
- CannoliModule
- Freebayes
- FreebayesArgs
- Gem
- GemArgs
- InterleaveFastq
- InterleaveFastqArgs
- LongMinimap2
- LongMinimap2Args
- LongUnimap
- LongUnimapArgs
- MagicBlast
- MagicBlastArgs
- Minimap2
- Minimap2Args
- SampleReads
- SampleReadsArgs
- SamtoolsMpileup
- SamtoolsMpileupArgs
- SingleEndBowtie2
- SingleEndBowtie2Args
- SingleEndBwaMem
- SingleEndBwaMem2
- SingleEndBwaMem2Args
- SingleEndBwaMemArgs
- SingleEndMinimap2
- SingleEndMinimap2Args
- SingleEndStar
- SingleEndStarArgs
- SingleEndUnimap
- SingleEndUnimapArgs
- Snap
- SnapArgs
- SnpEff
- SnpEffArgs
- Star
- StarArgs
- Unimap
- UnimapArgs
- Vep
- VepArgs
- VtNormalize
- VtNormalizeArgs

c

org.bdgenomics.cannoli.cli

# MagicBlastArgs 

###

#### class MagicBlastArgs extends cannoli.MagicBlastArgs with ADAMSaveAnyArgs with CramArgs with ParquetArgs

Magic-BLAST command line arguments.

Linear Supertypes
ParquetArgs, CramArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, cannoli.MagicBlastArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MagicBlastArgs
2. ParquetArgs
3. CramArgs
4. ADAMSaveAnyArgs
5. SaveArgs
6. ParquetRDDArgs
7. MagicBlastArgs
8. Args4jBase
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new MagicBlastArgs()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  var addFiles: Boolean
   Definition Classes
     MagicBlastArgs
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  var asSingleFile: Boolean
   Definition Classes
     MagicBlastArgs → ADAMSaveAnyArgs
7.  val blockSize: Int
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  val compressionCodec: CompressionCodecName
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
10.  def configureCramFormat(sc: SparkContext): Option[Unit]

    Configure CRAM format.

    Configure CRAM format.

    sc

      Spark context to configure

    Definition Classes
      CramArgs
11.  val cramReference: String
    Definition Classes
      CramArgs
    Annotations
      @Option()
12.  var db: String
    Definition Classes
      MagicBlastArgs
13.  var deferMerging: Boolean
    Definition Classes
      MagicBlastArgs → ADAMSaveAnyArgs
14.  val disableDictionaryEncoding: Boolean
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
15.  var disableFastConcat: Boolean
    Definition Classes
      MagicBlastArgs → ADAMSaveAnyArgs
16.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
19.  var executable: String
    Definition Classes
      MagicBlastArgs
20.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
21.  var gapExtend: Integer
    Definition Classes
      MagicBlastArgs
22.  var gapOpen: Integer
    Definition Classes
      MagicBlastArgs
23.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  var image: String
    Definition Classes
      MagicBlastArgs
26.  var inputPath: String
27.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
28.  val logLevel: String
    Definition Classes
      ParquetArgs
    Annotations
      @Option()
29.  var maxEditDistance: Integer
    Definition Classes
      MagicBlastArgs
30.  var maxIntronLength: Integer
    Definition Classes
      MagicBlastArgs
31.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  var outputPath: String
    Definition Classes
      MagicBlastArgs → SaveArgs
35.  val pageSize: Int
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
36.  var penalty: Integer
    Definition Classes
      MagicBlastArgs
37.  var percentIdentity: Double
    Definition Classes
      MagicBlastArgs
38.  var score: String
    Definition Classes
      MagicBlastArgs
39.  var sortFastqOutput: Boolean
    Definition Classes
      MagicBlastArgs → ADAMSaveAnyArgs
40.  var stringency: String
    Definition Classes
      MagicBlastArgs
41.  var sudo: Boolean
    Definition Classes
      MagicBlastArgs
42.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
43.  def toString(): String
    Definition Classes
      AnyRef → Any
44.  var transcriptome: Boolean
    Definition Classes
      MagicBlastArgs
45.  var useDocker: Boolean
    Definition Classes
      MagicBlastArgs
46.  var useSingularity: Boolean
    Definition Classes
      MagicBlastArgs
47.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
48.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
49.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
50.  var wordSize: Integer
    Definition Classes
      MagicBlastArgs

### Inherited from ParquetArgs

### Inherited from CramArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from cannoli.MagicBlastArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped